## getOverObject

### Syntax:

    getOverObject ();

### Purpose:

Returns which object at which the mouse is currently pointing.

### Return value:

If the mouse is not pointing at an object, the return value is NULL. If the mouse is pointing at either a screen region (defined by the addScreenRegion function) or a character (defined by the addCharacter function) the return value is the object type of the region or character.

Hidden characters and characters with no name (i.e. defined as or renamed to the empty string "") do not register.

### See also:

Object Types as Characters

hideCharacter

getMouseX and getMouseY

onFocusChange

rename

SLUDGE and this SLUDGE documentation are copyright Hungry Software and contributors 2000-2012